Nested Parenthetical Madness

    json-loader

    0.5.7 • Public • Published

    npm node deps tests coverage chat

    JSON Loader

    Install

    npm install --save-dev json-loader

    ⚠️ Since webpack >= v2.0.0, importing of JSON files will work by default. You might still want to use this if you use a custom file extension. See the v1.0.0 -> v2.0.0 Migration Guide for more information

    Usage

    Inline

    const json = require('json-loader!./file.json');

    Configuration (recommended)

    const json = require('./file.json');

    webpack.config.js

    module.exports = {
      module: {
        loaders: [
          {
            test: /\.json$/,
            loader: 'json-loader'
          }
        ]
      }
    }

    Maintainer


    Tobias Koppers

    Keywords

    none

    Install

    npm i json-loader

    DownloadsWeekly Downloads

    1,416,592

    Version

    0.5.7

    License

    MIT

    Last publish

    Collaborators

    • d3viant0ne
    • evilebottnawi
    • sokra
    • jhnns
    • michael-ciniawsky
    • bebraw
    • ericclemmons
    • thelarkinn